Skip to content

roles_list

GET
/api/roles
curl --request GET \
--url https://example.com/api/roles \
--header 'Authorization: Bearer <token>'

List of roles and their descriptions.

Media typeapplication/json
Array<object>

Serializer for the list of roles and their descriptions.

object
workspaces
required
Array<object>

Serializer for the role and its description.

object
role
required
string
description
required
string
nodes
required
Array<object>

Serializer for the role and its description.

object
role
required
string
description
required
string
submissions
required
Array<object>

Serializer for the role and its description.

object
role
required
string
description
required
string

Example generated

[
{
"workspaces": [
{
"role": "example",
"description": "example"
}
],
"nodes": [
{
"role": "example",
"description": "example"
}
],
"submissions": [
{
"role": "example",
"description": "example"
}
]
}
]